#ifndef __USERUOBJA_H
#define __USERUOBJA_H

#ifndef KERN_UOBJ_H
#include "uobj.h"
#endif


const unsigned long USER_OBJA = 3001;      
class UobjA : public Uobj {  // derived class of Uobj 
  private:
	  int ihsoy;
  public:
    UobjA(unsigned long ulID=0, bool bClone=false, bool bRegister=false);
    ~UobjA(void) {}

    const char *Name(void) const { return("uobj-a"); }
    unsigned long Type(void) const { return(USER_OBJA); }
		Uobj *Clone(unsigned long ulID=0) const;

		void write(Ufile &fi) const;
		void read(Ufile &fi);
    void remap(void);
};


#endif

